Get Wallet Identity
curl --request GET \
--url https://api.predexon.com/v2/polymarket/wallet/identity/{wallet} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/polymarket/wallet/identity/{wallet}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/polymarket/wallet/identity/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"found": true,
"profile": {
"address": "<string>",
"signer": "<string>",
"type": "<string>",
"display_name": "<string>",
"pseudonym": "<string>",
"bio": "<string>",
"profile_image": "<string>",
"x_username": "<string>",
"verified_badge": false,
"is_creator": false,
"is_mod": false,
"usdc_balance": 0,
"last_transfer_at": 123,
"created_at": 123,
"profile_fetched_at": 123
}
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Wallet Identity
Wallet Identity
Fetch identity and profile metadata for a wallet
GET
/
v2
/
polymarket
/
wallet
/
identity
/
{wallet}
Get Wallet Identity
Returns display name, pseudonym, profile image, X handle, verified/creator/mod badges, wallet type (proxy/safe/eoa), signer, USDC balance, and timestamps. Looks up by either proxy or signer EOA address.
Authorizations
Path Parameters
Wallet address (proxy or signer EOA)
⌘I
